Vehicle = require 'vehicle'

local a = { }
local max = 500
local img_bg
local img_vehicle

function love.load()
	img_bg = love.graphics.newImage( 'bg.png' )
	img_vehicle = love.graphics.newImage( 'arrow.png' )
	
	for i = 1, max do
      a[i] = Vehicle:new( img_vehicle )
    end
end

function love.update(dt)
    for i = 1, max  do
      a[i]:update( a, dt )
    end
end
 
function love.draw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(img_bg)
  for i = 1, max do
    a[i]:draw()
  end

  love.graphics.setColor(255,255,255)
  love.graphics.print("FPS: "..tostring(love.timer.getFPS( )), 16, 16)
end